com.genesyslab.wfm7.API.service.schedule750

## Class SchBiddingParams

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchBiddingParams

- All Implemented Interfaces:
    java.io.Serializable

      public class SchBiddingParams
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Bidding Parameters
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `biddingAgents` An array of bidding agent IDs.
    `private int` | `biddingAgentsNSizeIs` Number of elements in the 'biddingAgents' array.
    `private double` | `wmBidEndDateTime` Bidding window end date/time.
    `private double` | `wmBidStartDateTime` Bidding window start date/time.
    `private int` | `wmRankingSystem` Ranking System used.
    `private int` | `wmSiteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchBiddingParams()`
    `SchBiddingParams(int wmSiteId, double wmBidStartDateTime, double wmBidEndDateTime, int biddingAgentsNSizeIs, int[] biddingAgents, int wmRankingSystem)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getBiddingAgents()` Gets the biddingAgents value for this SchBiddingParams.
    `int` | `getBiddingAgentsNSizeIs()` Gets the biddingAgentsNSizeIs value for this SchBiddingParams.
    `double` | `getWmBidEndDateTime()` Gets the wmBidEndDateTime value for this SchBiddingParams.
    `double` | `getWmBidStartDateTime()` Gets the wmBidStartDateTime value for this SchBiddingParams.
    `int` | `getWmRankingSystem()` Gets the wmRankingSystem value for this SchBiddingParams.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchBiddingParams.
    `void` | `setBiddingAgents(int[] biddingAgents)` Sets the biddingAgents value for this SchBiddingParams.
    `void` | `setBiddingAgentsNSizeIs(int biddingAgentsNSizeIs)` Sets the biddingAgentsNSizeIs value for this SchBiddingParams.
    `void` | `setWmBidEndDateTime(double wmBidEndDateTime)` Sets the wmBidEndDateTime value for this SchBiddingParams.
    `void` | `setWmBidStartDateTime(double wmBidStartDateTime)` Sets the wmBidStartDateTime value for this SchBiddingParams.
    `void` | `setWmRankingSystem(int wmRankingSystem)` Sets the wmRankingSystem value for this SchBiddingParams.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchBiddingParams.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### wmBidStartDateTime

          private double wmBidStartDateTime

      Bidding window start date/time. `OleDateTime`

    - #### wmBidEndDateTime

          private double wmBidEndDateTime

      Bidding window end date/time. `OleDateTime`

    - #### biddingAgentsNSizeIs

          private int biddingAgentsNSizeIs

      Number of elements in the 'biddingAgents' array.

    - #### biddingAgents

          private int[] biddingAgents

      An array of bidding agent IDs.

    - #### wmRankingSystem

          private int wmRankingSystem

      Ranking System used. `ESchRankingSystem`

  - ### Constructor Detail

    - #### SchBiddingParams

          public SchBiddingParams()

    - #### SchBiddingParams

          public SchBiddingParams(int wmSiteId,
                          double wmBidStartDateTime,
                          double wmBidEndDateTime,
                          int biddingAgentsNSizeIs,
                          int[] biddingAgents,
                          int wmRankingSystem)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchBiddingParams.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchBiddingParams.
      Parameters:
        `wmSiteId` -

    - #### getWmBidStartDateTime

          public double getWmBidStartDateTime()

      Gets the wmBidStartDateTime value for this SchBiddingParams.
      Returns:
        wmBidStartDateTime

    - #### setWmBidStartDateTime

          public void setWmBidStartDateTime(double wmBidStartDateTime)

      Sets the wmBidStartDateTime value for this SchBiddingParams.
      Parameters:
        `wmBidStartDateTime` -

    - #### getWmBidEndDateTime

          public double getWmBidEndDateTime()

      Gets the wmBidEndDateTime value for this SchBiddingParams.
      Returns:
        wmBidEndDateTime

    - #### setWmBidEndDateTime

          public void setWmBidEndDateTime(double wmBidEndDateTime)

      Sets the wmBidEndDateTime value for this SchBiddingParams.
      Parameters:
        `wmBidEndDateTime` -

    - #### getBiddingAgentsNSizeIs

          public int getBiddingAgentsNSizeIs()

      Gets the biddingAgentsNSizeIs value for this SchBiddingParams.
      Returns:
        biddingAgentsNSizeIs

    - #### setBiddingAgentsNSizeIs

          public void setBiddingAgentsNSizeIs(int biddingAgentsNSizeIs)

      Sets the biddingAgentsNSizeIs value for this SchBiddingParams.
      Parameters:
        `biddingAgentsNSizeIs` -

    - #### getBiddingAgents

          public int[] getBiddingAgents()

      Gets the biddingAgents value for this SchBiddingParams.
      Returns:
        biddingAgents

    - #### setBiddingAgents

          public void setBiddingAgents(int[] biddingAgents)

      Sets the biddingAgents value for this SchBiddingParams.
      Parameters:
        `biddingAgents` -

    - #### getWmRankingSystem

          public int getWmRankingSystem()

      Gets the wmRankingSystem value for this SchBiddingParams.
      Returns:
        wmRankingSystem

    - #### setWmRankingSystem

          public void setWmRankingSystem(int wmRankingSystem)

      Sets the wmRankingSystem value for this SchBiddingParams.
      Parameters:
        `wmRankingSystem` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.